<!DOCTYPE html>
<html lang="pl" xmlns:th="http://www.thymeleaf.org">
<body>
<div th:fragment="order-form">
    <h3 class="text-center">Podsumowanie zamównienia:</h3>
    <table class="table">
        <thead>
        <tr>
            <th scope="col">#</th>
            <th scope="col">Produkt</th>
            <th scope="col">Ilość</th>
            <th scope="col">Cena</th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="orderLine, iter : ${shoppingCart.orderLineList}">
            <th scope="row" th:text="${iter.index} + 1">Index</th>
            <td th:text="${orderLine.getProduct.getName}">Product name</td>
            <td th:text="${orderLine.quantity}">Quantity</td>
            <td th:text="${#numbers.formatDecimal(orderLine.price * orderLine.quantity, 0, 'COMMA', 2, 'POINT') + ' PLN'}">Product price</td>
        </tr>
        </tbody>
    </table>

    <form th:if="${#authorization.expression('!isAuthenticated()')}" method="post" th:action="@{/order}" th:object="${address}">
        <div th:if="${#fields.hasErrors('*')}">
            <div class="alert alert-danger" role="alert" th:each="error : ${#fields.errors('*')}" th:text="${error}">
                A simple danger alert—check it out!
            </div>
        </div>
        <div class="form-row">
            <div class="form-group col-md-6">
                <label for="inputFirstName">Imię</label>
                <input type="text" class="form-control" id="inputFirstName" name="firstName" th:value="*{firstName}">
            </div>
            <div class="form-group col-md-6">
                <label for="inputLastName">Nazwisko</label>
                <input type="text" class="form-control" id="inputLastName" name="lastName" th:value="*{lastName}">
            </div>
        </div>
        <div class="form-group">
            <label for="inputAddress">Adres</label>
            <input type="text" class="form-control" id="inputAddress" placeholder="ul. Przykładowa 11/22" name="address" th:value="*{address}">
        </div>
        <div class="form-row">
            <div class="form-group col-md-2">
                <label for="inputZip">Kod pocztowy</label>
                <input type="text" class="form-control" id="inputZip" placeholder="00-000" name="zipCode" th:value="*{zipCode}">
            </div>
            <div class="form-group col-md-6">
                <label for="inputCity">Miasto</label>
                <input type="text" class="form-control" id="inputCity" name="city" th:value="*{city}">
            </div>
        </div>
        <button type="submit" class="btn btn-primary" name="sendOrder">Złóż zamówienie</button>
    </form>

    <form th:if="${#authorization.expression('isAuthenticated()')}" method="post" th:action="@{/order}" th:object="${address}">
<!--        <div class="dropdown mb-2">-->
<!--            <a-->
<!--                    class="btn btn-secondary dropdown-toggle"-->
<!--                    href="#" role="button"-->
<!--                    id="dropdownMenuLink"-->
<!--                    data-toggle="dropdown"-->
<!--                    aria-haspopup="true"-->
<!--                    aria-expanded="false"-->
<!--                    th:text="${subCategory} != null ? ${subCategory.getName()} : 'Wybierz adres'">-->
<!--            </a>-->
<!--            <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">-->
<!--                <a-->
<!--                        class="dropdown-item"-->
<!--                        th:each="address : ${addressList}"-->
<!--                        th:href="@{/order}"-->
<!--                        th:text="${address}">-->
<!--                </a>-->
<!--            </div>-->
<!--        </div>-->
        <div class="form-row">
            <div class="form-group col-md-6">
                <input type="hidden" class="form-control" id="inputFirstName" name="firstName" th:value="*{firstName}" >
            </div>
            <div class="form-group col-md-6">
                <input type="hidden" class="form-control" id="inputLastName" name="lastName" th:value="*{lastName}">
            </div>
        </div>
        <div class="form-group">
            <input type="hidden" class="form-control" id="inputAddress" placeholder="ul. Przykładowa 11/22" name="address" th:value="*{address}">
        </div>
        <div class="form-row">
            <div class="form-group col-md-2">
                <input type="hidden" class="form-control" id="inputZip" placeholder="00-000" name="zipCode" th:value="*{zipCode}">
            </div>
            <div class="form-group col-md-6">
                <input type="hidden" class="form-control" id="inputCity" name="city" th:value="*{city}">
            </div>
        </div>
        <button type="submit" class="btn btn-primary" name="sendOrder">Złóż zamówienie</button>
    </form>
</div>
</body>
</html>
